SalesOS

E Signature

Electronic signature workflows

Get signing session

GET
/v1/esignature/public/sign/{token}

Path Parameters

tokenRequiredstring
curl -X GET "https://api.salesos.org/v1/esignature/public/sign/<string>"

Get signing pdf

GET
/v1/esignature/public/sign/{token}/pdf

Path Parameters

tokenRequiredstring
curl -X GET "https://api.salesos.org/v1/esignature/public/sign/<string>/pdf"

Sign

POST
/v1/esignature/public/sign/{token}/sign

Request Body

application/jsonRequired

Path Parameters

tokenRequiredstring

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/esignature/public/sign/<string>/sign" \
  -H "Idempotency-Key: <string>" \
  -H "Content-Type: application/json" \
  -d '{}'

Decline

POST
/v1/esignature/public/sign/{token}/decline

Request Body

application/jsonRequired

Path Parameters

tokenRequiredstring

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/esignature/public/sign/<string>/decline" \
  -H "Idempotency-Key: <string>" \
  -H "Content-Type: application/json" \
  -d '{}'

List requests

GET
/v1/esignature/requests

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Query Parameters

quoteIdstring
contractIdstring
providerstring
statusstring
curl -X GET "https://api.salesos.org/v1/esignature/requests?quoteId=%3Cstring%3E&contractId=%3Cstring%3E&provider=%3Cstring%3E&status=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

[
  {}
]

Create request

POST
/v1/esignature/requests

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Request Body

application/jsonRequired

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/esignature/requests" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Get by quote

GET
/v1/esignature/requests/by-quote/{quoteId}

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

quoteIdRequiredstring
curl -X GET "https://api.salesos.org/v1/esignature/requests/by-quote/<string>" \
  -H "Authorization: Bearer <token>"

Get by contract

GET
/v1/esignature/requests/by-contract/{contractId}

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

contractIdRequiredstring
curl -X GET "https://api.salesos.org/v1/esignature/requests/by-contract/<string>" \
  -H "Authorization: Bearer <token>"

Get request

GET
/v1/esignature/requests/{id}

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/esignature/requests/<string>" \
  -H "Authorization: Bearer <token>"

{}

Update request

PATCH
/v1/esignature/requests/{id}

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X PATCH "https://api.salesos.org/v1/esignature/requests/<string>" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Delete request

DELETE
/v1/esignature/requests/{id}

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/esignature/requests/<string>" \
  -H "Authorization: Bearer <token>"

Send request

POST
/v1/esignature/requests/{id}/send

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/esignature/requests/<string>/send" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>"

Refresh status

POST
/v1/esignature/requests/{id}/refresh

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/esignature/requests/<string>/refresh" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>"

Void request

POST
/v1/esignature/requests/{id}/void

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/esignature/requests/<string>/void" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>"

Resend request

POST
/v1/esignature/requests/{id}/resend

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/esignature/requests/<string>/resend" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>"

Download signed document

GET
/v1/esignature/requests/{id}/download

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/esignature/requests/<string>/download" \
  -H "Authorization: Bearer <token>"

Download signed pdf

GET
/v1/esignature/requests/{id}/signed-pdf

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/esignature/requests/<string>/signed-pdf" \
  -H "Authorization: Bearer <token>"

Get signing url

GET
/v1/esignature/requests/{requestId}/signing-url/{signerId}

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

requestIdRequiredstring
signerIdRequiredstring
curl -X GET "https://api.salesos.org/v1/esignature/requests/<string>/signing-url/<string>" \
  -H "Authorization: Bearer <token>"

Handle webhook

POST
/v1/esignature/webhook/{provider}

Path Parameters

providerRequiredstring
Value in: "INTERNAL" | "DOCUSIGN" | "ADOBE_SIGN" | "HELLOSIGN" | "PANDADOC"

Header Parameters

x-signatureRequiredstring
Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/esignature/webhook/INTERNAL" \
  -H "x-signature: <string>" \
  -H "Idempotency-Key: <string>"

Get stats

GET
/v1/esignature/stats

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

curl -X GET "https://api.salesos.org/v1/esignature/stats" \
  -H "Authorization: Bearer <token>"

Get providers

GET
/v1/esignature/providers

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

curl -X GET "https://api.salesos.org/v1/esignature/providers" \
  -H "Authorization: Bearer <token>"

[
  {}
]